#include <iostream>

using namespace std;

int main()
{
    int N;
    int K;
    cin>>N;
    cin>>K;
    int pom[N];
    for(int i=0;i<N;i++){
        cin>>pom[i];
    }
    int n=2*N+1;
    int arr[n];
    for(int i=0;i<n;i++){
        arr[i]=0;
    }
    for(int i=0;i<N;i++){
        arr[N+pom[i]]++;
    }
    int s[N];
    int rez=0;
    for(int i=0;i<n;i++){
        if(arr[i]>=K){
            s[rez]=i-N;
            rez++;
        }
    }
    cout<<rez<<endl;
    for(int i=0;i<rez;i++){
        cout<<s[i]<<" ";
    }
    cout<<endl;
    return 0;
}